PipeWire: stream.c File Reference

PipeWire 0.1.9

Functions
stream.c File Reference
Include dependency graph for stream.c:

## Functions
const char * | pw_stream_state_as_string (enum pw_stream_state state)
struct pw_stream * | pw_stream_new (struct pw_remote *remote, const char *name, struct pw_properties *props)
enum pw_stream_state | pw_stream_get_state (struct pw_stream *stream, const char **error)
const char * | pw_stream_get_name (struct pw_stream *stream)
const struct pw_properties * | pw_stream_get_properties (struct pw_stream *stream)
void | pw_stream_add_listener (struct pw_stream *stream, struct spa_hook *listener, const struct pw_stream_events *events, void *data)
void | pw_stream_destroy (struct pw_stream *stream)
int | pw_stream_connect (struct pw_stream *stream, enum pw_direction direction, const char *port_path, enum pw_stream_flags flags, const struct spa_pod **params, uint32_t n_params)
uint32_t | pw_stream_get_node_id (struct pw_stream *stream)
void | pw_stream_finish_format (struct pw_stream *stream, int res, struct spa_pod **params, uint32_t n_params)
int | pw_stream_disconnect (struct pw_stream *stream)
int | pw_stream_set_active (struct pw_stream *stream, bool active)
int | pw_stream_get_time (struct pw_stream *stream, struct pw_time *time)
uint32_t | pw_stream_get_empty_buffer (struct pw_stream *stream)
int | pw_stream_recycle_buffer (struct pw_stream *stream, uint32_t id)
struct spa_buffer * | pw_stream_peek_buffer (struct pw_stream *stream, uint32_t id)
int | pw_stream_send_buffer (struct pw_stream *stream, uint32_t id)

## Function Documentation

## ◆ pw_stream_add_listener()

void pw_stream_add_listener | ( | struct pw_stream * | stream,
|  | struct spa_hook * | listener,
|  | const struct pw_stream_events * | events,
|  | void * | data
| ) |  |

## ◆ pw_stream_connect()

int pw_stream_connect | ( | struct pw_stream * | stream,
|  | enum pw_direction | direction,
|  | const char * | port_path,
|  | enum pw_stream_flags | flags,
|  | const struct spa_pod ** | params,
|  | uint32_t | n_params
| ) |  |

References PW_DIRECTION_INPUT.

## ◆ pw_stream_destroy()

void pw_stream_destroy | ( | struct pw_stream * | stream | ) |

References pw_log::pw_log_debug(), and pw_stream::pw_stream_disconnect().

## ◆ pw_stream_disconnect()

int pw_stream_disconnect | ( | struct pw_stream * | stream | ) |

## ◆ pw_stream_finish_format()

void pw_stream_finish_format | ( | struct pw_stream * | stream,
|  | int | res,
|  | struct spa_pod ** | params,
|  | uint32_t | n_params
| ) |  |

References pw_log::pw_log_debug().

## ◆ pw_stream_get_empty_buffer()

uint32_t pw_stream_get_empty_buffer | ( | struct pw_stream * | stream | ) |

## ◆ pw_stream_get_name()

const char* pw_stream_get_name | ( | struct pw_stream * | stream | ) |

## ◆ pw_stream_get_node_id()

uint32_t pw_stream_get_node_id | ( | struct pw_stream * | stream | ) |

## ◆ pw_stream_get_properties()

const struct pw_properties* pw_stream_get_properties | ( | struct pw_stream * | stream | ) |

## ◆ pw_stream_get_state()

enum pw_stream_state pw_stream_get_state | ( | struct pw_stream * | stream,
|  | const char ** | error
| ) |  |

## ◆ pw_stream_get_time()

int pw_stream_get_time | ( | struct pw_stream * | stream,
|  | struct pw_time * | time
| ) |  |

References pw_time::now, pw_time::rate, and pw_time::ticks.

## ◆ pw_stream_new()

struct pw_stream* pw_stream_new | ( | struct pw_remote * | remote,
|  | const char * | name,
|  | struct pw_properties * | props
| ) |  |

References pw_log::pw_log_debug(), pw_properties::pw_properties_get(), pw_properties::pw_properties_new(), pw_properties::pw_properties_set(), and impl::this.

## ◆ pw_stream_peek_buffer()

struct spa_buffer* pw_stream_peek_buffer | ( | struct pw_stream * | stream,
|  | uint32_t | id
| ) |  |

## ◆ pw_stream_recycle_buffer()

int pw_stream_recycle_buffer | ( | struct pw_stream * | stream,
|  | uint32_t | id
| ) |  |

## ◆ pw_stream_send_buffer()

int pw_stream_send_buffer | ( | struct pw_stream * | stream,
|  | uint32_t | id
| ) |  |

References pw_log::pw_log_debug().

## ◆ pw_stream_set_active()

int pw_stream_set_active | ( | struct pw_stream * | stream,
|  | bool | active
| ) |  |

## ◆ pw_stream_state_as_string()

const char* pw_stream_state_as_string | ( | enum pw_stream_state | state | ) |

References PW_STREAM_STATE_CONFIGURE, PW_STREAM_STATE_CONNECTING, PW_STREAM_STATE_ERROR, PW_STREAM_STATE_PAUSED, PW_STREAM_STATE_READY, PW_STREAM_STATE_STREAMING, and PW_STREAM_STATE_UNCONNECTED.